package main

import (
	"gibb165lb2/router"
	"github.com/gorilla/mux"
)

func GetRouter() *mux.Router {
	r := mux.NewRouter()
	r.HandleFunc("/spiele", router.GetSpiele).Methods("GET")
	r.HandleFunc("/spiele", router.DeleteSpiel).Methods("DELETE")
	r.HandleFunc("/laeden", router.GetLaeden).Methods("GET")
	r.HandleFunc("/laeden", router.DeleteLaden).Methods("DELETE")
	r.HandleFunc("/init", router.InitDatabase).Methods("GET")
	r.HandleFunc("/spiele-mit-laeden", router.GetSpieleMitLaeden).Methods("GET")
	r.HandleFunc("/spiele-mit-laeden", router.DeleteLadenFromSpiel).Methods("DELETE")
	r.HandleFunc("/spiele-mit-laeden", router.AddNewLadenToSpiel).Methods("POST")
	r.HandleFunc("/spiele", router.AddNewSpiel).Methods("POST")
	r.HandleFunc("/laeden", router.AddNewLaden).Methods("POST")
	//r.HandleFunc("/persons", router.CreatePerson).Methods("POST")
	//r.HandleFunc("/persons/{id}", router.GetPerson).Methods("GET")
	//r.HandleFunc("/persons", router.GetAllPersons).Methods("GET")
	//r.HandleFunc("/personsWithDebts", router.GetPersonsWithDebts).Methods("GET")
	//r.HandleFunc("/persons/{id}", router.UpdatePerson).Methods("PUT")
	//r.HandleFunc("/persons/{id}", router.DeletePerson).Methods("DELETE")
	//r.HandleFunc("/persons/{id}/debts", router.GetDebts).Methods("GET")
	//r.HandleFunc("/persons/{id}/debts", router.CreateDebt).Methods("POST")
	//r.HandleFunc("/debts/{id}", router.DeleteDebt).Methods("DELETE")
	//r.HandleFunc("/debts", router.GetAllDebts).Methods("GET")
	//r.HandleFunc("/debts/{id}", router.GetDebt).Methods("GET")
	//r.HandleFunc("/debts/{id}", router.UpdateDebt).Methods("PUT")
	//r.HandleFunc("/init", util.Init).Methods("GET")
	//r.HandleFunc("/biginit", util.BigInit).Methods("GET")
	return r
}
